Thursday, July 17, 2008

Windows CE 6.0 - Errors Generated adding Platform Manager

Do you receive an error message after adding the Platform Manager catalog item into your OS Design in Platform Builder for Windows CE 6.0?

In Platform Builder for Windows CE 5.0, Platform Manager was a common feature added to manage the connectivity between the target CE device and the development workstation running Visual Studio 2005. With the introduction of Windows CE 6.0, the Platform Manager resources were no longer included in the install under what should have been the C:\WINCE600\OTHERS\platman\ directory. For some reason or other, the catalog area was overlooked and the Platform Manager radio selection is still available within Platform Builder for Windows CE 6.0. For developers migrating from CE 5.0 to CE 6.0, it may be a common habit to add the Platform Manager feature. However, CE 6.0 now utilizes CoreCon for connectivity between a target device and Visual Studio 2005. It is now required for the developer to start ConManClient2.exe and CmAccept.exe from the target CE device in order to debug or deploy a run time image. Both of these executables have a 3 minute window for Visual Studio 2005 to establish connectivity.

2 comments:

sharath said...

Dear Mig,
Nice article from u. Does vs2008 application run on windows ce 6.0 image developed on vs2005?.
I developed an application (as smart device with .NET compact frame work 2.0) on vs2008. I am trying to execute it on WINCE (which has dependency components of .Net compact frame work) image.

I am getting an error "Missing Method Exception file or assembly name 'System.Windows.Forms, version=2.0.0.0". Where as if I develop application on vs2005 (as smart device) it is working fine.

Please help me, how can I run, an application developed on vs 2008 on windows ce target?.

Thanks in advance.

Akki said...

Dear Mig,
I am trying to install Platform builder Windows Embedded CE 6.0 Platform Builder Service Pack 1 on my machine which has Visual Studio 2005.
The error i am getting is This release requires the following prerequisites
Visual Studio 2005
Visual Studio 2005 Service pack 1
Windows Embedded CE 6.0 Tools
Kindly help me on this